#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QString>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    ui->pushButton_8->setEnabled(false);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_pushButton_1_clicked()
{
    char addr = 1;
    bool ret;
    ret = udp.UDPInit(addr);
    ui->pushButton_8->setEnabled(true);
    ui->pushButton_1->setEnabled(false);
    qDebug() << "UDPInit" << ret;

}

void MainWindow::on_pushButton_2_clicked()
{
    Time = new QTimer(this);
    connect(Time,SIGNAL(timeout()),this,SLOT(Data()));
    Time->start(200);
}

void MainWindow::Data()
{
    double Sum[6];
    bool ret;
    ret = udp.UDPData(Sum);
    qDebug() << "UDPData" << ret;
    ui->lineEdit->setText(QString::number(Sum[0],10,4));
    ui->lineEdit_2->setText(QString::number(Sum[1],10,4));
    ui->lineEdit_3->setText(QString::number(Sum[2],10,4));
    ui->lineEdit_4->setText(QString::number(Sum[3],10,4));
    ui->lineEdit_5->setText(QString::number(Sum[4],10,4));
    ui->lineEdit_6->setText(QString::number(Sum[5],10,4));
}

void MainWindow::on_pushButton_3_clicked()
{
    bool ret = udp.UDPClearZero();
    qDebug() << "UDPClearZero" << ret;
}

void MainWindow::on_pushButton_4_clicked()
{
    QString ip;
    int port;
    bool ret = udp.UDPSearchIpPort(&ip,&port);
    qDebug() << "UDPSearchIpPort" << ret;
    ui->lineEdit_10->setText(ip);
    ui->lineEdit_11->setText(QString::number(port,10));
}

void MainWindow::on_pushButton_5_clicked()
{
    bool ret = udp.UDPRestartDevice();
    qDebug() << "UDPRestartDevice" << ret;
}

void MainWindow::on_pushButton_6_clicked()
{
    int a = ui->lineEdit_7->text().toInt();
    char addr = a;
    bool ret = udp.UDPSetAddr(addr);
    qDebug() << "UDPSetAddr" << ret;
    sleep(20);
    ui->pushButton_1->setEnabled(true);
    ui->pushButton_8->setEnabled(false);
}

void MainWindow::on_pushButton_7_clicked()
{
    QString ip = ui->lineEdit_8->text();
    int port = ui->lineEdit_9->text().toInt();
    bool ret = udp.UDPSetIPPort(ip,port);
    qDebug() << "UDPSetIPPort" << ret;
    sleep(20);
    ui->pushButton_1->setEnabled(true);
    ui->pushButton_8->setEnabled(false);
}


void MainWindow::on_pushButton_8_clicked()
{
    udp.UDPClose();
    ui->pushButton_1->setEnabled(true);
    ui->pushButton_8->setEnabled(false);
}

void MainWindow::on_pushButton_9_clicked()
{
    Time->stop();
}

void MainWindow::on_pushButton_10_clicked()
{
    bool ret = udp.UDPSetZero();
    qDebug() << "UDPSetZero" << ret;
}


